## ros-humble-leo-bringup 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(leo_bringup)

find_package(ament_cmake REQUIRED)

install(
  DIRECTORY
    camera_info
    config
    launch
  DESTINATION share/${PROJECT_NAME}
)

install(
  PROGRAMS
    scripts/leo_system
  DESTINATION lib/${PROJECT_NAME}
)



ament_package()

=== debian/changelog ===
ros-humble-leo-bringup (1.3.0-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 11 Jan 2023 00:00:00 -0000

ros-humble-leo-bringup (1.2.1-1jammy) jammy; urgency=high

  * Fix namespace retrieval in leo_system script
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 30 Nov 2022 00:00:00 -0000

ros-humble-leo-bringup (1.2.0-1jammy) jammy; urgency=high

  * Add image_proc to dependencies
  * Run v4l2_camera node in container together with image_proc nodes
  * Add camera calibration file
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 21 Sep 2022 00:00:00 -0000

ros-humble-leo-bringup (1.1.0-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 31 Aug 2022 00:00:00 -0000

ros-humble-leo-bringup (1.0.1-1jammy) jammy; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 10 Aug 2022 00:00:00 -0000

ros-humble-leo-bringup (1.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 port
  * Contributors: Błażej Sowa, Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Wed, 10 Aug 2022 00:00:00 -0000

=== debian/control ===
Source: ros-humble-leo-bringup
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/leo_bringup
Standards-Version: 3.9.2

Package: ros-humble-leo-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-image-proc, ros-humble-leo-description, ros-humble-leo-fw, ros-humble-robot-state-publisher, ros-humble-rosapi, ros-humble-rosbridge-server, ros-humble-sensor-msgs, ros-humble-v4l2-camera, ros-humble-xacro, ros-humble-ros-workspace
Description: Scripts and launch files for starting basic Leo Rover functionalities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-bringup//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-leo-bringup 1.4.0

=== debian/changelog ===
ros-humble-leo-bringup (1.4.0-1bookworm) bookworm; urgency=high

  * Add firmware parameter bridge (#4 <https://github.com/LeoRover/leo_robot-ros2/issues/4>)
  * Update mecanum_wheels description
  * Use tf_frame_prefix for camera frame
  * Add spawn_state_publisher argument
  * Sort dependencies in package.xml
  * Add mecanum_wheels argument to leo_bringup launch file (#6 <https://github.com/LeoRover/leo_robot-ros2/issues/6>)
  * Use ament cmake tests via colcon (#7 <https://github.com/LeoRover/leo_robot-ros2/issues/7>)
  * Mecanum Wheel Odometry in firmware_message_converter (#5 <https://github.com/LeoRover/leo_robot-ros2/issues/5>)
  * Contributors: Aleksander Szymański, Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 14 Nov 2023 16:00:00 -0000

ros-humble-leo-bringup (1.3.0-1bookworm) bookworm; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 10 Jan 2023 16:00:00 -0000

ros-humble-leo-bringup (1.2.1-1bookworm) bookworm; urgency=high

  * Fix namespace retrieval in leo_system script
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 29 Nov 2022 16:00:00 -0000

ros-humble-leo-bringup (1.2.0-1bookworm) bookworm; urgency=high

  * Add image_proc to dependencies
  * Run v4l2_camera node in container together with image_proc nodes
  * Add camera calibration file
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 20 Sep 2022 16:00:00 -0000

ros-humble-leo-bringup (1.1.0-1bookworm) bookworm; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 30 Aug 2022 16:00:00 -0000

ros-humble-leo-bringup (1.0.1-1bookworm) bookworm; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 09 Aug 2022 16:00:00 -0000

ros-humble-leo-bringup (1.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS2 port
  * Contributors: Błażej Sowa, Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Tue, 09 Aug 2022 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Fictionlab <support@fictionlab.pl>
-Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ros-workspace
 Homepage: http://wiki.ros.org/leo_bringup
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-bringup//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-leo-bringup//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-leo-bringup//opt/ros/humble/opt/leo_bringup/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
